"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const Select = require("./Select.cjs");
const Slider = require("./Slider.cjs");
const Text = require("./Text.cjs");
const renderers = {
  text: Text.default,
  select: Select.default,
  slider: Slider.default
};
const ParamRenderer = ({ params, data }) => {
  return /* @__PURE__ */ jsxRuntime.jsx(jsxRuntime.Fragment, { children: params.map((param) => {
    const Renderer = renderers[param.type];
    if (!Renderer) return null;
    return /* @__PURE__ */ jsxRuntime.jsx(Renderer, { param, data }, param.id);
  }) });
};
exports.ParamRenderer = ParamRenderer;
