"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const { staticClasses, useClasses } = uikitReactCore.createClasses("HvFlowSidebar", {
  drawerPaper: { width: "360px" },
  titleContainer: {
    display: "flex",
    padding: uikitReactCore.theme.spacing("sm", "lg", "xs", "sm")
  },
  contentContainer: { padding: uikitReactCore.theme.spacing(0, "lg", "sm", "lg") },
  description: { color: uikitReactCore.theme.colors.secondary_80 },
  searchRoot: {
    paddingTop: uikitReactCore.theme.space.sm,
    paddingBottom: uikitReactCore.theme.space.sm
  },
  groupsContainer: {
    display: "flex",
    flexDirection: "column",
    gap: uikitReactCore.theme.space.sm,
    listStyleType: "none"
  }
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
