"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const NodeMetaContext = require("../FlowContext/NodeMetaContext.cjs");
const useNodeId = require("./useNodeId.cjs");
function useFlowNodeMeta(id) {
  const nodeId = useNodeId.useNodeId(id);
  const { registry } = NodeMetaContext.useNodeMetaRegistry();
  return registry[nodeId];
}
exports.useFlowNodeMeta = useFlowNodeMeta;
