"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const Node_styles = require("../Node/Node.styles.cjs");
const baseClasses = Object.fromEntries(
  Object.keys(Node_styles.staticClasses).map((key) => [key, {}])
);
const { staticClasses, useClasses } = uikitReactCore.createClasses("HvDashboardNode", {
  empty: {
    padding: uikitReactCore.theme.spacing("sm", 0, 0, 0)
  },
  // Spread here to know if we are overriding classes from parents
  ...baseClasses
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
