"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const WizardContainer_styles = require("./WizardContainer.styles.cjs");
const HvWizardContainer = (props) => {
  const {
    classes: classesProp,
    children,
    handleClose,
    ...others
  } = uikitReactCore.useDefaultProps("HvWizardContainer", props);
  const { classes } = WizardContainer_styles.useClasses(classesProp);
  return /* @__PURE__ */ jsxRuntime.jsx(
    uikitReactCore.HvDialog,
    {
      classes: {
        root: classes.root,
        closeButton: classes.closeButton,
        paper: classes.paper
      },
      onClose: handleClose,
      fullWidth: true,
      maxWidth: "lg",
      ...others,
      children
    }
  );
};
exports.wizardContainerClasses = WizardContainer_styles.staticClasses;
exports.HvWizardContainer = HvWizardContainer;
