"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const uikitStyles = require("@hitachivantara/uikit-styles");
const { staticClasses, useClasses } = uikitReactCore.createClasses("HvWizardContent", {
  contentContainer: {
    position: "relative",
    padding: 20,
    marginLeft: 0,
    minHeight: 400,
    overflowX: "hidden"
  },
  fixedHeight: {
    minHeight: "calc(100vh - 387px)"
  },
  summaryRef: {
    flex: 1,
    overflowY: "auto",
    overflowX: "hidden"
  },
  summarySticky: {
    position: "sticky",
    top: 0,
    zIndex: 1
  },
  summaryContainer: {
    position: "absolute",
    top: 0,
    minWidth: 280,
    boxShadow: uikitStyles.theme.colors.shadow,
    backgroundColor: uikitStyles.theme.colors.atmo1,
    transition: "transform 0.3s",
    transitionTimingFunction: "ease-in-out",
    overflowY: "scroll"
  }
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
