"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const uikitStyles = require("@hitachivantara/uikit-styles");
const { staticClasses, useClasses } = uikitReactCore.createClasses("HvWizardTitle", {
  root: {
    backgroundColor: uikitStyles.theme.colors.atmo2,
    justifyContent: "space-between",
    paddingRight: uikitStyles.theme.space.sm
  },
  /** @deprecated use `classes.root` */
  headerContainer: {},
  /** @deprecated use `classes.root` */
  messageContainer: {},
  /** @deprecated use `classes.root` */
  titleContainer: {},
  summaryButton: {},
  /** @deprecated use `classes.summaryButton` */
  buttonWidth: {},
  /** @deprecated use `classes.summaryButton` */
  rootSummaryButton: {},
  stepContainer: {
    margin: "auto"
  }
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
