import { jsx } from "react/jsx-runtime";
import { Background } from "reactflow";
import { getColor, theme } from "@hitachivantara/uikit-styles";
const HvFlowBackground = ({
  color = "secondary",
  ...others
}) => {
  return /* @__PURE__ */ jsx(
    Background,
    {
      color: getColor(color, theme.colors.secondary_80),
      gap: 16,
      ...others
    }
  );
};
export {
  HvFlowBackground
};
