import { jsx } from "react/jsx-runtime";
import { useNodes } from "reactflow";
import { HvEmptyState } from "@hitachivantara/uikit-react-core";
import { useClasses } from "./Empty.styles.js";
const HvFlowEmpty = ({ className, ...others }) => {
  const { classes, cx } = useClasses();
  const nodes = useNodes();
  return !nodes || (nodes.length === 0 ? /* @__PURE__ */ jsx(HvEmptyState, { className: cx(classes.root, className), ...others }) : null);
};
export {
  HvFlowEmpty
};
