import { createClasses, theme } from "@hitachivantara/uikit-react-core";
import { staticClasses as staticClasses$1 } from "./Node/BaseNode.styles.js";
import "react/jsx-runtime";
import "reactflow";
import "@hitachivantara/uikit-react-utils";
const { staticClasses, useClasses } = createClasses("HvFlow", {
  root: {
    height: "100%",
    [`& .selected > .${staticClasses$1.root}`]: {
      border: `1px solid ${theme.colors.secondary_60}`,
      borderRadius: theme.radii.round,
      boxSizing: "border-box"
    }
  }
});
export {
  staticClasses,
  useClasses
};
