import { jsx } from "react/jsx-runtime";
import { HvInput } from "@hitachivantara/uikit-react-core";
import { useFlowNodeUtils } from "../../hooks/useFlowNode.js";
const Text = ({ param, data }) => {
  const { id, label } = param;
  const { setNodeData } = useFlowNodeUtils();
  return /* @__PURE__ */ jsx(
    HvInput,
    {
      className: "nodrag",
      label,
      defaultValue: data[id],
      onChange: (evt, val) => setNodeData((prev) => ({ ...prev, [id]: val }))
    }
  );
};
export {
  Text as default
};
