"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const reactflow = require("reactflow");
const uikitStyles = require("@hitachivantara/uikit-styles");
const HvFlowBackground = ({
  color = "secondary",
  ...others
}) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    reactflow.Background,
    {
      color: uikitStyles.getColor(color, uikitStyles.theme.colors.secondary_80),
      gap: 16,
      ...others
    }
  );
};
exports.HvFlowBackground = HvFlowBackground;
