"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const reactflow = require("reactflow");
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const Empty_styles = require("./Empty.styles.cjs");
const HvFlowEmpty = ({ className, ...others }) => {
  const { classes, cx } = Empty_styles.useClasses();
  const nodes = reactflow.useNodes();
  return !nodes || (nodes.length === 0 ? /* @__PURE__ */ jsxRuntime.jsx(uikitReactCore.HvEmptyState, { className: cx(classes.root, className), ...others }) : null);
};
exports.HvFlowEmpty = HvFlowEmpty;
