"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const BaseNode_styles = require("./Node/BaseNode.styles.cjs");
require("react/jsx-runtime");
require("reactflow");
require("@hitachivantara/uikit-react-utils");
const { staticClasses, useClasses } = uikitReactCore.createClasses("HvFlow", {
  root: {
    height: "100%",
    [`& .selected > .${BaseNode_styles.staticClasses.root}`]: {
      border: `1px solid ${uikitReactCore.theme.colors.secondary_60}`,
      borderRadius: uikitReactCore.theme.radii.round,
      boxSizing: "border-box"
    }
  }
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
