"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const react = require("react");
const NodeMetaContext = require("./NodeMetaContext.cjs");
const HvFlowContext = react.createContext({});
const HvFlowProvider = ({
  nodeGroups,
  defaultActions,
  children
}) => {
  const [expandedNodeGroups, setExpandedNodeGroups] = react.useState([]);
  const value = react.useMemo(
    () => ({
      nodeGroups,
      defaultActions,
      expandedNodeGroups,
      setExpandedNodeGroups
    }),
    [nodeGroups, defaultActions, expandedNodeGroups]
  );
  return /* @__PURE__ */ jsxRuntime.jsx(NodeMetaContext.HvFlowNodeMetaProvider, { children: /* @__PURE__ */ jsxRuntime.jsx(HvFlowContext.Provider, { value, children }) });
};
exports.HvFlowContext = HvFlowContext;
exports.HvFlowProvider = HvFlowProvider;
