"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const useFlowNode = require("../../hooks/useFlowNode.cjs");
const Text = ({ param, data }) => {
  const { id, label } = param;
  const { setNodeData } = useFlowNode.useFlowNodeUtils();
  return /* @__PURE__ */ jsxRuntime.jsx(
    uikitReactCore.HvInput,
    {
      className: "nodrag",
      label,
      defaultValue: data[id],
      onChange: (evt, val) => setNodeData((prev) => ({ ...prev, [id]: val }))
    }
  );
};
exports.default = Text;
