"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const { staticClasses, useClasses } = uikitReactCore.createClasses(
  "HvFlowSidebarGroup",
  {
    root: {
      padding: uikitReactCore.theme.space.sm,
      borderRadius: uikitReactCore.theme.radii.round,
      borderWidth: "1px",
      borderTopWidth: "3px"
    },
    titleContainer: {
      display: "flex",
      justifyContent: "space-between"
    },
    labelContainer: {
      display: "flex",
      alignItems: "center"
    },
    icon: { paddingRight: uikitReactCore.theme.space.xs },
    descriptionContainer: {
      padding: `${uikitReactCore.theme.space.xs} 0 ${uikitReactCore.theme.space.sm} calc(32px + ${uikitReactCore.theme.space.xs})`
    },
    itemsContainer: {
      display: "flex",
      flexDirection: "column",
      gap: uikitReactCore.theme.space.xs,
      paddingLeft: uikitReactCore.theme.space.sm
    }
  }
);
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
