"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const react = require("react");
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const uikitReactIcons = require("@hitachivantara/uikit-react-icons");
const SidebarGroupItem_styles = require("./SidebarGroupItem.styles.cjs");
const HvFlowSidebarGroupItem = react.forwardRef(function HvFlowSidebarGroupItem2(props, ref) {
  const {
    label,
    isDragging,
    classes: classesProp,
    className,
    ...others
  } = props;
  const { classes, cx } = SidebarGroupItem_styles.useClasses(classesProp);
  return /* @__PURE__ */ jsxRuntime.jsxs(
    "div",
    {
      ref,
      className: cx(
        classes.root,
        { [classes.dragging]: isDragging },
        className
      ),
      ...others,
      children: [
        /* @__PURE__ */ jsxRuntime.jsx(uikitReactCore.HvTypography, { children: label }),
        /* @__PURE__ */ jsxRuntime.jsx(uikitReactIcons.Drag, {})
      ]
    }
  );
});
exports.flowSidebarGroupItemClasses = SidebarGroupItem_styles.staticClasses;
exports.HvFlowSidebarGroupItem = HvFlowSidebarGroupItem;
