"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const { staticClasses, useClasses } = uikitReactCore.createClasses(
  "HvFlowSidebarGroupItem",
  {
    root: {
      display: "flex",
      alignItems: "center",
      justifyContent: "space-between",
      border: `1px solid ${uikitReactCore.theme.colors.atmo4}`,
      padding: uikitReactCore.theme.spacing(0, 0, 0, "sm"),
      cursor: "pointer",
      boxShadow: `0 1px 0 ${uikitReactCore.theme.colors.shad1}`,
      "&:focus-visible": {
        ...uikitReactCore.outlineStyles
      }
    },
    dragging: { borderColor: uikitReactCore.theme.colors.primary_80 }
  }
);
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
