"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const { staticClasses, useClasses } = uikitReactCore.createClasses("HvStep", {
  root: {
    width: "fit-content",
    height: "fit-content",
    fontWeight: uikitReactCore.theme.fontWeights.semibold
  },
  notCurrent: { margin: "-8px" },
  xs: {},
  sm: {},
  md: {},
  lg: {},
  xl: {},
  avatar: {
    "&$xs": {
      fontSize: "0.625rem"
    },
    "&$sm": {
      fontSize: "1rem"
    },
    "&$md": {
      fontSize: "1.5rem"
    },
    "&$lg": {
      fontSize: "2rem"
    },
    "&$xl": {
      fontSize: "2.5rem"
    }
  }
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
