"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const uikitStyles = require("@hitachivantara/uikit-styles");
const { staticClasses, useClasses } = uikitReactCore.createClasses("HvWizardActions", {
  actionsContainer: {},
  buttonWidth: {
    width: 120,
    "& span": {
      whiteSpace: "normal",
      lineHeight: uikitStyles.theme.lineHeights.sm
    }
  },
  buttonsContainer: {
    display: "flex",
    alignItems: "center",
    gap: uikitStyles.theme.space.xs
  },
  buttonSpacing: {}
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
