import { useNodeMetaRegistry } from "../FlowContext/NodeMetaContext.js";
import { useNodeId } from "./useNodeId.js";
function useFlowNodeMeta(id) {
  const nodeId = useNodeId(id);
  const { registry } = useNodeMetaRegistry();
  return registry[nodeId];
}
export {
  useFlowNodeMeta
};
