import { createClasses, theme } from "@hitachivantara/uikit-react-core";
import { staticClasses as staticClasses$1 } from "../Node/Node.styles.js";
const baseClasses = Object.fromEntries(
  Object.keys(staticClasses$1).map((key) => [key, {}])
);
const { staticClasses, useClasses } = createClasses("HvDashboardNode", {
  empty: {
    padding: theme.spacing("sm", 0, 0, 0)
  },
  // Spread here to know if we are overriding classes from parents
  ...baseClasses
});
export {
  staticClasses,
  useClasses
};
